### Method

# Gio SimpleAsyncResult complete

deprecated: 2.46

#### Declaration [src]

    void
    g_simple_async_result_complete (
      GSimpleAsyncResult* simple
    )

#### Description [src]

Completes an asynchronous I/O job immediately. Must be called in the thread where the asynchronous result was to be delivered, as it invokes the callback directly. If you are in a different thread use g_simple_async_result_complete_in_idle().

Calling this function takes a reference to `simple` for as long as is needed to complete the call.

Deprecated since: 2.46

Use `GTask` instead.